./devel/ocaml-ppx_compare, Generation of comparison functions from types

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.13.0, Package name: ocaml-ppx_compare-0.13.0, Maintainer: jaapb

Generation of fast comparison functions from type expressions and definitions.

Ppx_compare is a ppx rewriter that derives comparison functions from type
representations. The scaffolded functions are usually much faster than ocaml's
Pervasives.compare. Scaffolding functions also gives you more flexibility by
allowing you to override them for a specific type and more safety by making
sure that you only compare comparable values.


Required to run:
[lang/ocaml] [devel/ocaml-findlib] [devel/ocaml-base] [devel/ocaml-ppxlib] [devel/ocaml-dune]

Required to build:
[pkgtools/cwrappers] [misc/ocaml-opaline]

Master sites:

SHA1: 747d0d8ed98fe40e09354978139eaba09da4136c
RMD160: 3fe2c200fcdc7ec4e54dcfacf30ea49a156240d0
Filesize: 12.945 KB

Version history: (Expand)


CVS history: (Expand)


   2020-01-16 10:09:21 by Jaap Boender | Files touched by this commit (3) | Package updated
Log message:
Updated devel/ocaml-ppx_compare to version 0.13.0.

The changelog doesn't seem to have been updated in a while, but this
version definitely adds support for OCaml 4.09.
   2019-03-05 18:59:40 by Jaap Boender | Files touched by this commit (4) | Package updated
Log message:
Updated devel/ocaml-ppx_compare to version 0.12.0.

Package is now compatible with dune 1.7.

The CHANGES.md file is not up to date, but other changes are minor.
   2018-11-28 00:21:58 by Jaap Boender | Files touched by this commit (2) | Package updated
Log message:
Updated package devel/ocaml-ppx_compare to use dune. Revbump.
   2018-11-12 17:10:29 by Jaap Boender | Files touched by this commit (141) | Package updated
Log message:
Revbumps associated with update of lang/ocaml.
   2018-07-19 17:15:31 by Jaap Boender | Files touched by this commit (190) | Package updated
Log message:
Recursive revbump associated with the update of lang/ocaml to 4.07.
   2018-05-09 16:54:54 by Jaap Boender | Files touched by this commit (3) | Package updated
Log message:
Updated devel/ocaml-ppx_compare to version 0.11.1.

The package now depends on devel/ocaml-ppxlib instead of on its
constituent parts. There have also been some minor improvements from
version 0.9 to 0.10.
   2018-04-04 21:38:23 by Jaap Boender | Files touched by this commit (3)
Log message:
Revbump for devel/ocaml-ppx_compare.

No upstream changes, just dealing with new files caused to be installed
by the new version of jbuilder.
   2018-01-10 17:53:15 by Jaap Boender | Files touched by this commit (107) | Package updated
Log message:
Recursive revbump associated with the update to OCaml 4.06.